---
# ------------------------------------------------------------------------------
# Operating System
# ------------------------------------------------------------------------------

- name: Init - Validate OS
  ansible.builtin.assert:
    that:
      - "ansible_distribution | lower ~ '-' ~ ansible_distribution_major_version in role_vars_supported_distributions"
    quiet: true
    fail_msg: "Role does not support distribution or version"

# ------------------------------------------------------------------------------
# Variables
# ------------------------------------------------------------------------------

- name: Init - Include OS vars
  ansible.builtin.include_vars: "{{ item }}"
  with_first_found:
    - "os_{{ ansible_distribution | lower }}_{{ ansible_distribution_major_version }}.yml"
    - "os_{{ ansible_distribution | lower }}.yml"
    - "os_centos.yml"
  loop_control:
    label: "{{ item | basename }}"
